<?php
namespace Woopromotion\Classes;
 /**
  * 
  * @package    WooPromotion
  * @version    1.0
  * @author     WPBucket
  * @Websites: http://wpbucket.net
  *
  */
 
if( ! defined( 'ABSPATH' ) ) {
    die( WOOPROMOTION_ALERT_MSG );
}

class Flash_Sale_Countdown extends Product_Data {

  public static $dateOnSaleFrom;
  public static $dateOnSaleTo;

  function __construct() {
    
    // Call Product_Data constructor
    parent::__construct();

    $product = $this->getProduct;

    self::$dateOnSaleFrom = $product->get_date_on_sale_from();
    self::$dateOnSaleTo = $product->get_date_on_sale_to();

  }

  public function countdown() {
    if( !empty( self::$dateOnSaleFrom ) ) {
      echo \Woopromotion\Classes\Countdown_Timer::countdownTimer( self::$dateOnSaleFrom, self::$dateOnSaleTo, 'shop-flash-countdown', 'short' );
    }
    
  }
  
  
}