<?php
namespace Woopromotion\Classes;
 /**
  * 
  * @package    WooPromotion
  * @version    1.0
  * @author     WPBucket
  * @Websites: http://wpbucket.net
  *
  */
 
  if( ! defined( 'ABSPATH' ) ) {
      die( WOOPROMOTION_ALERT_MSG );
  }
  
class Post_Type {

    private $getPostTypeArgs;

    private $getTaxonomyArgs;

    public function postTypeRegister() {
        $this->postType();
    }
    public function registerTaxonomy() {
        $this->Taxonomy();
    }
    public function getPostTypeArgs( $args ) {

        $this->getPostTypeArgs = $args;

        return $this;

    }
    public function postType() {

        $getArgs = $this->getPostTypeArgs;


        $labels = $getArgs['labels'];
     
        $args = array(
            'labels'             => $labels,
            'public'             => true,
            'publicly_queryable' => true,
            'show_ui'            => true,
            'show_in_menu'       => true,
            'query_var'          => true,
            'rewrite'            => array( 'slug' => '' ),
            'capability_type'    => 'post',
            'has_archive'        => true,
            'hierarchical'       => false,
            'menu_position'      => null,
            'show_in_rest'       => true,
            'rest_base'          => '',
            'rest_controller_class' => 'WP_REST_Posts_Controller',
            'supports'           => array( 'title' ),
        );

        $args = wp_parse_args( $getArgs['args'], $args );

        register_post_type( esc_html( $getArgs['post_type'] ), $args );

    }
    public function getTaxonomyArgs( $args ) {

        $this->getTaxonomyArgs = $args;

        return $this;

    }
    public function Taxonomy() {

        $getArgs = $this->getTaxonomyArgs;

        $args = [
            'label'        => '',
            'hierarchical' => true,
            'show_in_rest' => true,
            'rest_base'    => ''
        ];


        $args = wp_parse_args( $getArgs['args'], $args );

        register_taxonomy( $getArgs['tax_name'], $getArgs['post_type'], $args );

    }


}