<?php 
namespace Woopromotion\Meta;
 /**
  * 
  * @package    WooPromotion
  * @version    1.0
  * @author     WPBucket
  * @Websites: http://wpbucket.net
  * 
  *
  */
 
  if( ! defined( 'ABSPATH' ) ) {
      die( WOOPROMOTION_ALERT_MSG );
  }

trait Tab_Button{
	
}

function tatCmf_tab_button_field( $args = array() ){
	
	$default = array(
		'type' 		=> 'text',
		'class' 	=> '',
		'id' 		=> '',
		'default'	=> '',
		'label' 	=> 'Field Label',
		'options'	=> array(
			'1'  => 'Tab 1',
			'2' => 'Tab 1'
		)
	);
	
	
	$args = wp_parse_args( $args, $default );
	
	$val = get_post_meta( get_the_ID(), $args['id'] , true );
	$val = !empty( $val ) ? $val : $args['default'];
	
	echo '<div class="field-row">';
		echo '<div class="field-col-8">';
		echo '<label>'.esc_html( $args['label'] ).'</label>';
			echo '<ul class="tabs-wrapper">';
			$i = 0;
			foreach( $args['options'] as  $key => $option ) {
				$i++;
				$active = $i == 1 ? 'active' : '';
				echo '<li class="single-tab '.esc_attr( $active ).'" data-tab="'.esc_attr( $key ).'">'.esc_html( $option ).'</li>';
			}
			echo '</ul>';
		echo '</div>';
	echo '</div>';

}
