<?php 
namespace Woopromotion\Admin\Field;
 /**
  * 
  * @package    WooPromotion
  * @version    1.0
  * @author     WPBucket
  * @Websites: http://wpbucket.net
  * 
  *
  */

trait Textrepeater {

	protected static $args;

	public function textrepeater( $args ) {

		$default = [
			'title' => '',
			'name'	=> '',
			'description'	=> '',
			'class'			=> '',
			'condition'		=> '',
		];

		self::$args = wp_parse_args( $args, $default );

		self::textrepeater_markup();
		
	}

	protected static function textrepeater_markup() {

		$optionName = self::$optionName;
	  $args = self::$args;
	  $getData = self::$getOptionData;
	  $fieldName  = $args['name'];
	  $value = !empty( $getData[$fieldName] ) ? $getData[$fieldName] : '';

	    $conditionData = '';
	    if( !empty( $args['condition'] ) ) {
	      $conditionData = json_encode( $args['condition'] );
	    }
		?>
		<div class="woopromotion-admin-field " data-condition="<?php echo esc_html($conditionData); ?>">
			<h4><?php echo esc_html( $args['title'] ); ?></h4>
			<?php
			if( !empty( $args['description'] ) ) {
				echo '<p>'.esc_html( $args['description'] ).'</p>';
			}
			?>
			<div class="text-repeater">
	          <div class="field-wrapper" data-optname="<?php echo esc_attr( $fieldName ); ?>">
	          <?php
	          if( !empty( $value ) ):
	            foreach ( $value as $val ) :
	          ?>
	            <div class="single-field">
	            <input type="text" class="text-repeater-input" name="<?php echo esc_attr( $optionName ).'['.$fieldName.']'; ?>[]" value="<?php echo esc_attr( $val ); ?>" />
	            <span class="removeitem woopromo-admin-btn"><?php esc_html_e( 'Remove', 'woopromotion' ); ?></span>
	            </div>
	          <?php 
	          endforeach;
	          endif
	          ?>
	          </div>
	          <span class="addfield woopromo-admin-btn"><?php esc_html_e( 'Add Text', 'woopromotion' ); ?></span>
	      </div>
    </div>
		<?php
	}
	
}
