<?php
namespace Woopromotion\Admin\TabContent;
 /**
  * 
  * @package    WooPromotion
  * @version    1.0
  * @author     WPBucket
  * @Websites: http://wpbucket.net
  * 
  *
  */


class Badge_Settings extends \Woopromotion\Admin\Field\Settings_Fields_Base {

  public function get_option_name() {
    return 'woopromotion_options'; // set option name it will be same or different name
  }

   public function tab_setting_fields() {

      $this->start_fields_section([

        'title'   => '',
        'class'   => 'active',
        'id'      => 'badge_settings',
        'display' => 'block'

      ]);

      $this->checkbox(
        [
          'title' => esc_html__( 'Show Badges', 'woopromotion' ),
          'name'  => 'show_badges'
        ]
      );
      $this->checkbox(
        [
          'title' => esc_html__( 'Active Badge Hover Tooltip', 'woopromotion' ),
          'name'  => 'active_badge_tooltip'
        ]
      );
      $this->checkbox(
        [
          'title' => esc_html__( 'Active Badge Hover Scale up ', 'woopromotion' ),
          'name'  => 'badge_hover_scaleup'
        ]
      );
      
      
      $this->end_fields_section(); // End fields section
   }
}
