(function($) {


	$('.canvas-header-cancle').on( 'click', function() {
		let $target = $(this).closest('.canvas-header-wrapper');
		$target.fadeOut('slow', function(){ $target.remove(); });
	} )
	//
	$(document).on( 'click', '.hide-floating-canvas-cart-progress', function() {
		$(this).closest('.floating-canvas-wrapper').fadeOut();
	} )
	//
	$(document).on( 'click', '.free-shipping-img', function() {
		$('.floating-canvas-wrapper').fadeToggle();
	} )


	/***************************
	 *  Time Count down
	 ***************************/
	 
	let $t = document.querySelectorAll(".upcomingofferTimeCountdown");

	[].forEach.call($t, function(item) {

	let $startTime = item.dataset.settime,
		$endTime   = item.dataset.enddatetime,
		$timenametype = item.dataset.timenametype;

		// 
		let $days,$hours,$minutes,$seconds;
		if( $timenametype == 'full' ) {
			$days    = 'Days';
			$hours   = 'Hours';
			$minutes = 'Minutes';
			$seconds = 'Seconds';
		} else {
			$days    = 'd';
			$hours   = 'hr';
			$minutes = 'min';
			$seconds = 'sec';
		}

	// Set the date we're counting down to
	var startCountDownDate = new Date($startTime).getTime();
	var endCountDownDate = new Date($endTime).getTime();

	// Update the count down every 1 second
	var x = setInterval(function() {

	  // Get today's date and time
	  let now = new Date().getTime();

	  let distance = '', 
	  	countType = '';

	  // Start date time count
	  if( startCountDownDate &&  startCountDownDate > now ) {
	  	distance = startCountDownDate - now;
	  	countType = woopromotionobj.start_count_text;
	  }

	  // End date time count
	  if( endCountDownDate && ( endCountDownDate > now && startCountDownDate < now ) ) {
	  	distance = endCountDownDate - now;
	  	countType = woopromotionobj.end_count_text;
	  }

	  // Time calculations for days, hours, minutes and seconds
	  var days = Math.floor(distance / (1000 * 60 * 60 * 24));
	  var hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
	  var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
	  var seconds = Math.floor((distance % (1000 * 60)) / 1000);

		// do whatever
		item.innerHTML = '<p class="counttype">'+countType+'</p><span class="time-days">'+days+'<br>'+$days+'</span><span class="time-hours">'+hours+'<br>'+$hours+'</span><span class="time-minutes">'+minutes+'<br>'+$minutes+'</span><span class="time-seconds">'+seconds+'<br>'+$seconds+'</span>';

	  // If the count down is finished, write some text
	  
	  if( !distance || distance < 0) {
	    clearInterval(x);
	    item.innerHTML = "EXPIRED";
	  }

	}, 1000);

	});

	/*******************
	 * Tooltip
	*******************/
	if( woopromotionobj.is_tooltip ) {
		$('.woopromotion-product-baddge-inner').each( function( e ) {

			let $tip = $(this).find('img').data('tooltip');
			$(this).prepend('<span class="badge-tooltip">'+$tip+'</span>');

		} )
	}

	/*******************
	 * Cuppon Card
	*******************/
	let $getCode = $('.open-code');

	if( $getCode.length ) {
		$getCode.on( 'click', function() {
			let t = $(this).closest('.coupon');
			t.find('.coupon-code').fadeToggle('slow');
		} )
	}


	/*******************
	 * News Ticker
	*******************/
	
	$('.woopromo-news-ticker').AcmeTicker({

		type: woopromotionobj.tickeropt.type ? woopromotionobj.tickeropt.type : 'horizontal' ,/*horizontal/vertical/Marquee/typewriter/type*/
        direction: woopromotionobj.tickeropt.direction ? woopromotionobj.tickeropt.direction : 'right',/*up/down/left/right*/
        speed: woopromotionobj.tickeropt.speed ? woopromotionobj.tickeropt.speed : 600,/*true/false/number*/ /*For vertical/horizontal 600*//*For marquee 0.05*//*For typewriter 50*/
		controls: {
			prev: $('.acme-news-ticker-prev'),
			toggle: $('.acme-news-ticker-pause'),
			next: $('.acme-news-ticker-next')
		}
	});

	/***********************
	 * wc fragment refresh
	**************************/
	$(document.body).trigger('wc_fragment_refresh');


})( jQuery )