<?php
namespace Woopromotion\Classes;
 /**
  * 
  * @package    WooPromotion
  * @version    1.0
  * @author     WPBucket
  * @Websites: http://wpbucket.net
  *
  */
 
  if( ! defined( 'ABSPATH' ) ) {
      die( WOOPROMOTION_ALERT_MSG );
  }

class Countdown_Timer {

  private static $startdate;
  private static $enddate;
  private static $class;
  private static $timenametype;
  
  public static function countdownTimer( $startdate, $enddate='', $class = '', $timenametype = 'full' ) {
    self::$startdate = $startdate;
    self::$enddate = $enddate;
    self::$class = $class;
    self::$timenametype = $timenametype;
    //
    return self::timerHtml();
  } 

  private static function timerHtml() {
    return '<div id="upcomingofferTimeCountdown" data-timenametype="'.esc_attr(self::$timenametype).'" data-settime="'.esc_html(self::$startdate).'" data-enddatetime="'.esc_html(self::$enddate).'" class="upcomingofferTimeCountdown '.esc_attr(self::$class).'" ></div>';
  }

}