<?php 
namespace Woopromotion\Meta;
 /**
  * 
  * @package    WooPromotion
  * @version    1.0
  * @author     WPBucket
  * @Websites: http://wpbucket.net
  * 
  *
  */
 
  if( ! defined( 'ABSPATH' ) ) {
      die( WOOPROMOTION_ALERT_MSG );
  }

trait Radio {

	function radio_field( $args = array() ){
		
		$default = array(
			'type' 		=> 'text',
			'class' 	=> '',
			'id' 		=> '',
			'default'	=> '',
			'label' 	=> 'Field Label',
			'options'	=> array(
				'on'  => 'ON',
				'off' => 'OFF'
			)
		);
		
		
		$args = wp_parse_args( $args, $default );
		
		$val = get_post_meta( get_the_ID(), $args['id'] , true );
		$val = !empty( $val ) ? $val : $args['default'];
		
		echo '<div class="field-row">';
			echo '<div class="field-col-8">';
			echo '<label>'.esc_html( $args['label'] ).'</label>';
				foreach( $args['options'] as  $key => $option ) {

					$checked = ( $val == $key ) ? 'checked' : '';

					echo '<div class="single-radio">';
					echo '<label for="'.esc_attr( $args['id'].$key ).'">'.esc_html( $option ).'</label>';
					echo '<input type="radio" name="'.esc_attr( $args['id'] ).'" id="'.esc_attr( $args['id'].$key ).'" class="tatCmf-'.esc_attr( $args['type'] ).'-field '.esc_attr( $args['class'] ).'" value="'.esc_attr( $key ).'" '.esc_attr( $checked ).' />';
					echo '</div>';
				}
			echo '</div>';
		echo '</div>';

	}
	
}
